Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.recipe.session
Interface RecipePrescriberService

All Known Implementing Classes:
  RecipePrescriberServiceImpl

Deprecated.

    @Deprecated
    public interface RecipePrescriberService

This component takes care of all technical complexity to interact correctly with the Recip-e services. As part of this Business Connector for General Practitioners, the prescriber related services of the Recip-e solution can be integrated easily in end-user software applications. The Recip-e solution is making extensive use of eHealth-platform related base services and standards to guarantee a secure transfer of personal medical related information. This includes: end-to-end encryption for addressed messages (known recipient), end-to-end encryption for non-addressed messages (unknown recipient), Secure Token Service, Key Depot and Key Generation and Storage Service. Default impl : `RecipePrescriberServiceImpl`

Method Summary
`String` | `createPrescription(boolean feedbackRequest, long patientId, byte[] prescription, String prescriptionType)` Deprecated. The create prescription operation stores a new prescription (provided as input parameter in Kmehr format) in the Recip-e central system.
`GetPrescriptionForPrescriberResult` | `getPrescription(String rid)` Deprecated. The �Get Prescription� operation allows a General Practitioner to retrieve a previously submitted prescription (by him/her).
`List<ListFeedbackItem>` | `listFeedback(boolean readFlag)` Deprecated. The Recip-e solution allows executors to provide feedback related to a delivered prescription.
`List<String>` | `listOpenPrescription()` Deprecated. This operation provides a list of all prescriptions created by the General Practitioner that haven't been delivered yet to an executor.
`void` | `prepareCreatePrescription(long patientId, String prescriptionType)` Deprecated. The Create Prescription operation involves the execution of several external eHealth-platform services before a prescription can be send.
`void` | `revokePrescription(String rid, String reason)` Deprecated. Whenever an erroneous or incorrect prescription has been submitted, it can be removed from the central Recip-e system via this 'Revoke Prescription' operation.
`void` | `sendNotification(byte[] notificationTextXML, long patientId, long executorId)` Deprecated. This operation permits a General Practitioner to send a notification to a specific executor (example: pharmacist).
`void` | `updateFeedbackFlag(String rid, boolean feedbackAllowed)` Deprecated. The feedback flag of an already submitted prescription can be updated via this operation.

Method Detail

### createPrescription

    String createPrescription(boolean feedbackRequest,
                              long patientId,
                              byte[] prescription,
                              String prescriptionType)
                              throws SessionManagementException,
                                     RecipeBusinessConnectorException,
                                     TechnicalConnectorException

  Deprecated.
  The create prescription operation stores a new prescription (provided as input parameter in Kmehr format) in the Recip-e central system. All required business and technical operations required to safely store the prescription are executed (this includes encryption, web service invocation, etc). After successful execution, the 'RID' (Recip-e ID) is returned. This identifier needs to be printed on the paper prescription. The format of a RID is "BEYYXXXXXXXX" where BE is the country, YY is the prescription type (example: PP - pharmaceutical prescription) and XXX is an alphanumeric sequence identifier.

  Parameters:
    `feedbackRequest` - Flag indicating whether the prescriber wants to receive feedback from the executor.
    `patientId` - SSIN of the patient.
    `prescription` - The prescription content represented as a valid KMEHR XML message. If the prescriptionType is set to 'PP', it should contain a valid pharmaceutical prescription.
    `prescriptionType` - Type of prescription (PP, P0, P1, P2).
  Returns:
    RID of the prescription (12 characters).
  Throws:
    `SessionManagementException`
    `RecipeBusinessConnectorException`
    `TechnicalConnectorException`

### prepareCreatePrescription

    void prepareCreatePrescription(long patientId,
                                   String prescriptionType)
                                   throws SessionManagementException,
                                          RecipeBusinessConnectorException,
                                          TechnicalConnectorException

  Deprecated.
  The Create Prescription operation involves the execution of several external eHealth-platform services before a prescription can be send. In order to send a prescription faster, this optional operation 'Prepare Create Prescription' can be invoked after the patient has been identified by the General Practitioner and before the prescription content has been created. A series of preparatory tasks will be executed in order to handle the prescription faster when invoking the Create prescription operation afterwards.

  Parameters:
    `patientId` - SSIN of the patient.
    `prescriptionType` - Type of prescription (PP, P0, P1, P2).
  Throws:
    `SessionManagementException`
    `RecipeBusinessConnectorException`
    `TechnicalConnectorException`

### sendNotification

    void sendNotification(byte[] notificationTextXML,
                          long patientId,
                          long executorId)
                          throws SessionManagementException,
                                 RecipeBusinessConnectorException,
                                 TechnicalConnectorException

  Deprecated.
  This operation permits a General Practitioner to send a notification to a specific executor (example: pharmacist). The notification indicates that a patient is likely to retrieve/execute the prescription with him/her. A notification is specified in a specific XML based format using the notification.xsd XML schema.

  Parameters:
    `notificationTextXML` - XML message containing the notification. Must be compliant with the Recip-e notification XSD.
    `patientId` - SSIN of the patient.
    `executorId` - NIHII-PHARMACY, id of the recipient.
  Throws:
    `SessionManagementException`
    `RecipeBusinessConnectorException`
    `TechnicalConnectorException`

### revokePrescription

    void revokePrescription(String rid,
                            String reason)
                            throws SessionManagementException,
                                   RecipeBusinessConnectorException,
                                   TechnicalConnectorException

  Deprecated.
  Whenever an erroneous or incorrect prescription has been submitted, it can be removed from the central Recip-e system via this 'Revoke Prescription' operation. After revocation, it can't be retrieved anymore by an executor (e.g. pharmacist).

  Parameters:
    `rid` - RID of the prescription.
    `reason` - Reason of revocation.
  Throws:
    `SessionManagementException`
    `RecipeBusinessConnectorException`
    `TechnicalConnectorException`

### getPrescription

    GetPrescriptionForPrescriberResult getPrescription(String rid)
                                                       throws SessionManagementException,
                                                              RecipeBusinessConnectorException,
                                                              TechnicalConnectorException,
                                                              DataFormatException

  Deprecated.
  The �Get Prescription� operation allows a General Practitioner to retrieve a previously submitted prescription (by him/her).

  Parameters:
    `rid` - RID of the prescription
  Returns:
    the prescription linked to the rid
  Throws:
    `SessionManagementException`
    `RecipeBusinessConnectorException`
    `TechnicalConnectorException`
    `DataFormatException`

### listFeedback

    List<ListFeedbackItem> listFeedback(boolean readFlag)
                                        throws SessionManagementException,
                                               RecipeBusinessConnectorException,
                                               TechnicalConnectorException,
                                               DataFormatException

  Deprecated.
  The Recip-e solution allows executors to provide feedback related to a delivered prescription. This option can be activated/deactivated on an individual prescription when sending it via de 'Create Prescription' operation. The 'List Feedback' operation retrieves the list of all pending feedback items that haven't been delivered yet to the General Practitioner. This operation can be either invoked manually by the General Practitioner end-user or automatically executed periodically by the General Practitioner software.

  Parameters:
    `readFlag` - Mark feedback as read
  Returns:
    List of Feedback Items objects
  Throws:
    `SessionManagementException`
    `RecipeBusinessConnectorException`
    `TechnicalConnectorException`
    `DataFormatException`

### listOpenPrescription

    List<String> listOpenPrescription()
                                      throws TechnicalConnectorException,
                                             SessionManagementException

  Deprecated.
  This operation provides a list of all prescriptions created by the General Practitioner that haven't been delivered yet to an executor. They are still waiting in the central Recip-e system with status "NotDelivered".

  Returns:
    List of prescription RIDs that are still in state Open.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs
    `SessionManagementException`

### updateFeedbackFlag

    void updateFeedbackFlag(String rid,
                            boolean feedbackAllowed)
                            throws SessionManagementException,
                                   RecipeBusinessConnectorException,
                                   TechnicalConnectorException

  Deprecated.
  The feedback flag of an already submitted prescription can be updated via this operation.

  Parameters:
    `rid` - RID of the prescription
    `feedbackAllowed` - Flag indicating whether the prescriber wants feedback from the executor
  Throws:
    `SessionManagementException`
    `RecipeBusinessConnectorException`
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.